%global fontname shadowsintolight
%global fontconf 61-%{fontname}-fonts.conf
%global alphatag 20140913hg


Name:          %{fontname}-fonts
Version:       1.000
Release:       0.4.%{alphatag}%{?dist}
Summary:       Shadows Into Light fonts by Kimberly Geswein
License:       OFL
URL:           http://www.google.com/fonts/specimen/Shadows+Into+Light
Source0:       https://googlefontdirectory.googlecode.com/hg/ofl/shadowsintolight/ShadowsIntoLight.ttf
Source1:       https://googlefontdirectory.googlecode.com/hg/ofl/shadowsintolight/OFL.txt
Source2:       %{fontname}.metainfo.xml
Source10:      %{fontconf}

BuildArch:     noarch
BuildRequires: fontpackages-devel
BuildRequires: ttname
Requires:      fontpackages-filesystem

%description
This clean, neat handwriting font has a feminine feel with nice rounded edges
and curves. It is perfect for adding a personalized touch to your project.


%prep
%setup -qTc
cp -p %{SOURCE0} %{SOURCE1} .


%build
ttname --copyright="$(head -n1 OFL.txt)" --license="$(cat OFL.txt)" --license-url="http://scripts.sil.org/OFL" *.ttf || exit 0

%install
install -m 0755 -d %{buildroot}%{_fontdir}

install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE10} \
    %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
        %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.ttf
%doc OFL.txt
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Sun Oct 19 2014 Parag Nemade <pnemade AT redhat DOT com> - 1.000-0.4.20140913hg
- Add metainfo file to show this font in gnome-software

* Sat Sep 13 2014 Julien Enselme <jujens@jujens.eu> - 1.000-0.3.20140913hg
- Correct the SOURCEs URLs
- Correct the prep section

* Tue Sep 09 2014 Julien Enselme <jujens@jujens.eu> - 1.000-2.716ff965e2b0hg
- Remove unuseful files macro

* Thu Sep 04 2014 Julien Enselme <jujens@jujens.eu> - 1.000-1.716ff965e2b0hg
- Initial packaging.
